  /* $Id$ */
  /*============================================================================*
   |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
   |                             All rights reserved                            |
   *===========================================================================*/

  SET VERIFY OFF
  SET FEEDBACK OFF
  SET SCAN OFF
  WHENEVER OSERROR  EXIT FAILURE ROLLBACK
  WHENEVER SQLERROR EXIT FAILURE ROLLBACK

  DECLARE 

    e_dir_exists EXCEPTION;
    PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

    e_does_not_exists EXCEPTION;
    PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

    result boolean;
    
  BEGIN

    BEGIN

      result := DBMS_XDB.createfolder('/public/xxas/');
      result := DBMS_XDB.createfolder('/public/xxas/emp/');
      result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

    EXCEPTION
      WHEN e_dir_exists THEN
        NULL;
    END;

    
    BEGIN

      DBMS_XDB.DeleteResource('/public/xxas/emp/view/bulk-reassign.xml');

    EXCEPTION
      WHEN e_does_not_exists THEN
        NULL;
    END;

    
    result := DBMS_XDB.createresource('/public/xxas/emp/view/bulk-reassign.xml',
  '<View submitLabel="{message.XXAS_RB_COM_SUBMIT}">
     <EditFields>    
         <Hidden id="PERSON_ID"/>
         <Combolist id="ASSIGNEE" label="{message.XXAS_NOTIF_ASSIGNEE}"  listProvider="REST:wfroles?q={searchText}" required="true" longlist="true"/>
         <Combolist id="REASSIGN_MODE" label="{message.XXAS_NOTIF_OWNERSHIP}" listProvider="LOOKUP_TYPE:XXAS_COM_NOT_REASSG_TYPES" required="true"/>
         <TextArea id="COMMENTS" label="{message.XXAS_NOTIF_COMMENTS}"/>       
     </EditFields>
  </View>' ); 
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/bulk-reassign.xml');
  END;
  /
  COMMIT;
  EXIT;
